Subject: (urth) Memorare Hardcover Art and Hugo Award for Wolfe

From: Joe Bushong-Taylor <joebt01 at gmail.com>
Date: Tue, 01 Jul 2008 20:28:43 +0000

Just got my hardcover of Wolfe's *Memorare* (Wyrm Publishing).  Thanks to
whomever on the list noted that it was coming out!  The cover art is great
(a poster for the movie) and connects to the story on several levels.  Getting
my copy reminded me that there are still a few days left to vote for a Hugo
award for *Memorare* (you can join World Science Fiction Society and vote on
the Hugo awards through www.denvention3.org).  Wolfe has never won a Hugo.  I
think it is overdue.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.urth.net/pipermail/urth-urth.net/attachments/20080701/6f17a9e5/attachment.htm>